.case-studies-section {
  padding: 0 25px;
}

.case-studies-section--hero {
  padding-bottom: 120px;
}

.case-studies-section--list {
  padding-top: 0;
  padding-bottom: 120px;
}

.case-studies-hero {
  padding: 0;
  display: flex;
  flex-direction: column;
  gap: 20px;
}

.case-studies-hero__title {
  font-size: var(--text-80);
  font-weight: var(--font-semibold);
  color: var(--black);
  margin-bottom: 20px;
}

.case-studies-hero__title span {
  display: block;
  color: var(--primary-red);
}

.case-studies_main_tabs {
  display: flex;
  align-items: center;
  gap: 20px;
  padding-bottom: 20px;
  border-bottom: 1px solid #00000033;
}

.case-studies_main_tabs button {
  color: var(--primary-red);
  font-size: var(--text-26);
  border: 2px solid var(--primary-red);
  padding: 15px 24px;
  border-radius: var(--radius-full);
  cursor: pointer;
  transition: all 0.5s ease;
}

.case-studies_main_tabs button.active {
  background-color: var(--primary-red);
  color: var(--white);
}

.case-studies_main_tabs button:hover {
  background-color: #b21435;
  border: 2px solid #b21435;
  color: var(--white);
  transition: all 0.5s ease;
}

.case-studies_secondary_tabs {
  display: flex;
  align-items: center;
  gap: 10px;
  flex-wrap: wrap;
}

.case-studies_secondary_tabs button {
  color: var(--primary-navy-secondary);
  font-size: var(--text-26);
  border: 2px solid var(--primary-navy-secondary);
  padding: 7px 24px;
  border-radius: var(--radius-full);
  cursor: pointer;
  transition: all 0.5s ease;
}

.case-studies_secondary_tabs button.active {
  background-color: var(--primary-navy-secondary);
  color: var(--white);
}

.case-studies_secondary_tabs button:hover {
  background-color: var(--primary-navy-secondary);
  color: var(--white);
  transition: all 0.5s ease;
}

/* Zigzag Layout */
.case-studies-zigzag {
  display: flex;
  flex-direction: column;
  gap: 120px;
}

/* Filtering */
.case-study-item {
  display: grid;
  grid-template-columns: 1.1fr 1fr;
  gap: 30px;
  align-items: stretch;
  transition: all 0.3s ease;
}

.case-study-item.hidden {
  display: none;
}

.case-study-item--left .case-study-item__content {
  order: 1;
}

.case-study-item--left .case-study-item__image {
  order: 2;
}

.case-study-item--left {
  grid-template-columns: 1fr 1.1fr;
}

.case-study-item--right .case-study-item__image {
  order: 1;
}

.case-study-item--right .case-study-item__content {
  order: 2;
}

.case-study-item__content {
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
  /* gap: 20px; */
}

.case-study-item__content span {
  color: var(--black);
  font-size: var(--text-30);
  font-weight: var(--font-medium);
  text-transform: uppercase;
}

.case-study-item__title {
  font-size: var(--text-80);
  font-weight: var(--font-semibold);
  color: var(--black);
}

.case-study-item__title.small {
  font-size: var(--text-52);
}

.case-study-item__title.small span {
  font-size: var(--text-52);
}

.case-study-item__title span {
  display: block;
  font-weight: var(--font-semibold);
  color: var(--primary-red);
  text-transform: none;
  font-size: var(--text-80);
}

.case-study-item__description {
  font-size: var(--text-28);
  color: var(--black);
  font-weight: var(--font-light);
  line-height: 1.6;
}

.case-study-item__link {
  font-weight: var(--font-medium);
  background-color: var(--primary-red);
  padding: 10px;
  margin-top: 20px;
  text-decoration: none;
  display: inline-flex;
  align-items: center;
  transition: all 0.3s ease;
  width: fit-content;
}

.case-study-item__link span {
  font-size: var(--text-18);
  color: var(--white);
}

.case-study-item__link:hover {
  background-color: #c5303c;
  transition: all 0.3s ease;
}

.arrow-wrapper {
  position: relative;
  color: var(--white);
  width: 24px;
  height: 24px;
  overflow: hidden;
}

/* stack arrows */
.arrow {
  position: absolute;
  top: 0;
  left: 0;
  transition: transform 0.3s ease;
}

/* initial positions */
.arrow--current {
  transform: translateX(0);
}

.arrow--next {
  transform: translateX(-120%); /* hidden left */
}

/* hover animation */
.case-study-item__link:hover .arrow--current {
  transform: translateX(120%); /* exit right */
}

.case-study-item__link:hover .arrow--next {
  transform: translateX(0); /* enter */
}

.case-study-item__image {
  overflow: hidden;
  display: flex;
  align-items: stretch;
}

.case-study-item__image img {
  width: 100%;
  height: 100%;
  display: block;
  object-fit: cover;
  object-fit: cover;
}

/* Responsive */

@media (max-width: 962px) {
  main {
    padding-top: 85px;
  }

  .case-studies-hero__title {
    font-size: var(--text-52);
  }

  .case-studies_main_tabs button {
    font-size: var(--text-16);
    padding: 10px 20px;
  }

  .case-studies_secondary_tabs button {
    font-size: var(--text-16);
    padding: 5px 20px;
  }

  .case-studies-zigzag {
    margin: 80px 0;
    gap: 80px;
  }

  .case-study-item {
    grid-template-columns: 1fr;
    gap: 30px;
  }

  .case-study-item__image img {
    height: auto;
    width: auto;
    margin: 0 auto;
  }

  .case-study-item__content span {
    font-size: var(--text-24);
  }

  .case-study-item__title {
    font-size: var(--text-52);
  }

  .case-study-item__title .small {
    font-size: var(--text-32);
  }

  .case-study-item__title span {
    font-size: var(--text-52);
  }

  .case-study-item__description {
    font-size: var(--text-20);
  }

  .case-study-item--left .case-study-item__content {
    order: 2;
  }

  .case-study-item--left .case-study-item__image {
    order: 1;
  }
}

@media (max-width: 768px) {
  .case-study-item {
    grid-template-columns: 1fr;
    gap: 30px;
  }

  /* .case-study-item--left .case-study-item__content,
  .case-study-item--left .case-study-item__image,
  .case-study-item--right .case-study-item__image,
  .case-study-item--right .case-study-item__content {
    order: unset;
  } */

  .case-studies-zigzag {
    gap: 80px;
  }

  /* .case-studies-hero__title {
    font-size: var(--text-48);
  } */

  /* .case-study-item__title {
    font-size: var(--text-32);
  } */

  .case-study-item__title,
  .case-study-item__title.small,
  .case-study-item__title.small span,
  .case-study-item span {
    font-size: var(--text-32);
    display: block;
  }
}

@media (max-width: 576px) {
  main {
    padding-top: 85px !important;
  }

  .case-studies-hero__title {
    font-size: var(--text-40);
  }

  .case-studies_main_tabs button {
    font-size: 14px;
    padding: 8px 16px;
  }

  .case-studies_secondary_tabs button {
    font-size: 14px;
    padding: 4px 8px;
  }

  .case-studies-zigzag {
    margin-top: 60px;
    gap: 60px;
  }

  .case-study-item__content span {
    font-size: var(--text-20);
  }

  .case-study-item__title, .case-study-item__title.small, .case-study-item__title.small span, .case-study-item span{
    font-size: var(--text-30);
    display: block;
  }

  .case-study-item__title {
    font-size: var(--text-40);
  }

  .case-study-item__title.small {
    font-size: var(--text-30);
  }

  .case-study-item__title span {
    font-size: var(--text-40);
  }

  .case-study-item__description {
    font-size: var(--text-18);
  }
}
